Method: projects.locations.buckets.create

Create a new bucket.

HTTP request


POST https://observability.googleapis.com/v1/{parent=projects/*/locations/*}/buckets

The URLs use gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. Name of the project and location for the bucket. The format is:

projects/[PROJECT_ID]/locations/[LOCATION]

Query parameters

Parameters
bucketId

string

Required. Id of the bucket to create.

Request body

The request body contains an instance of Bucket.

Response body

If successful, the response body contains a newly created instance of Operation.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the parent resource:

  • observability.buckets.create

For more information, see the IAM documentation.